Subject: Re: [PATCH v4 0/2] merge-tree: allow specifying a base commit when --write-tree is passed

From: Taylor Blau <[email-masked]>
Date: Tue, 1 Nov 2022 17:19:54 -0400

On Tue, Nov 01, 2022 at 08:55:02AM +0000, Kyle Zhao via GitGitGadget wrote:
> Thanks for Elijah's work. I'm very excited that merge-ort is integrated into
> the git merge-tree, which means that we can use merge-ort in bare
> repositories to optimize merge performance.
>
> In this patch, I introduce a new --merge-base=<commit> option to allow
> callers to specify a merge-base for the merge. This may allow users to
> implement git cherry-pick and git rebase in bare repositories with git
> merge-tree cmd.

Thanks for the update. I haven't taken a close look, but queued what you
have as a replacement on top of en/merge-tree-sequence.

Let's see what Elijah thinks...

Thanks,
Taylor